QGIS Application - Bug report #19983

[edit-in-place] - clip do not work
2018-09-30 07:38 PM - Jan Lippmann

Status: Closed

Priority: Normal
Assignee: Nyall Dawson
Category: Processing/QGIS

Affected QGIS version:3.3(master)
Operating System: Win 7 64bit
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 27805

Description

hello,

i try to clip a polygon with another, but the clip alg in "edit in place" mode do nothing.

make i something wrong?...i want do the same like the clipper plugin #13050-4

furthermore, while running the alg the intermediate window is to large and at the end qgis window lost the focus and is not in the

foreground

QGIS Project to reproduce:

https://www.dropbox.com/s/I0h7atkqoo0s03n/edit-in-place.7z?dI=0

@Nyall Dawson

Can you have a look at this issue please?

Thanks!

Jan

QGIS-Version 3.3.0-Master
QGIS-Codeversion ad7d03c64f
Kompiliert gegen Qt 5.9.2

Laufendes Qt 5.9.2

Kompiliert mit GDAL/OGR 2.2.4
Lauft mit GDAL/OGR 2.2.4
Kompiliert mit GEOS 3.6.1-CAPI-1.10.1
Lauft mit GEOS 3.6.1-CAPI-1.10.1r0
PostgreSQL-Client-Version 9.2.4
SpatiaLite-Version 4.3.0
QWT-Version 6.1.3
QScintilla2-Version 2.10.1
PROJ.4-Version 493

Diese QGIS-Kopie schreibt Debugausgaben.

History

#1 - 2018-09-30 07:44 PM - Jan Lippmann

2024-04-11
https://www.dropbox.com/s/l0h7atkqoo0s03n/edit-in-place.7z?dl=0

7z archiv includes a gif animation of what i do...edit-in-place.gif

#2 - 2018-10-01 06:21 AM - Nyall Dawson

Hi Jan,

Did you receive my email regarding this?

#3 - 2018-10-01 05:12 PM - Jan Lippmann
- Status changed from Open to Closed

Yes. Sorry For the noise...

#4 - 2018-10-10 11:11 AM - Jiirgen Fischer
- Description updated
